Class | Chef::ReservedNames::Win32::Security::SecurableObject
In: | lib/chef/win32/security/securable_object.rb
Parent: | Object

### Methods

dacl= group= new owner= predict_rights_mask sacl= security_descriptor set_dacl set_sacl

### Constants

SecurityConst | = | Chef::ReservedNames::Win32::API::Security

### Attributes

path | [R] |
type | [R] |

### Public Class methods

new(path, type = :SE_FILE_OBJECT)

### Public Instance methods

dacl=(val)
group=(val)
owner=(val)
predict_rights_mask(generic_mask)

This method predicts what the rights mask would be on an object if you created an ACE with the given mask. Specifically, it looks for generic attributes like GENERIC_READ, and figures out what specific attributes will be set. This is important if you want to try to compare an existing ACE with one you want to create.

sacl=(val)
security_descriptor(include_sacl = false)
set_dacl(dacl, dacl_inherits)

You don‘t set dacl_inherits without also setting dacl, because Windows gets angry and denies you access. So if you want to do that, you may as well do both at once.

set_sacl(sacl, sacl_inherits)

[Validate]